For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Tests

Get a test

||View as Markdown|
GET
https://tester.army/api/v1/tests/:testId
GET
/api/v1/tests/:testId
$curl https://tester.army/api/v1/tests/testId \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "steps": [
4 {
5 "title": "string",
6 "type": "act"
7 }
8 ],
9 "title": "string",
10 "createdAt": "2024-01-15T09:30:00Z",
11 "description": "string",
12 "enabled": true,
13 "groups": [
14 {
15 "id": "string",
16 "name": "string",
17 "isDefault": true
18 }
19 ],
20 "platform": "web",
21 "projectId": "string",
22 "projectName": "string",
23 "projectUrl": "string",
24 "updatedAt": "2024-01-15T09:30:00Z"
25}
Get a single structured test definition, including the groups it belongs to.
Was this page helpful?
Previous

Create a test

Next

Delete a test

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

testIdstringRequiredformat: "uuid"
Test ID

Response

Test details
idstringformat: "uuid"
stepslist of objects
titlestring
createdAtdatetime
descriptionstring or null
enabledboolean
groupslist of objects
platformenum
Allowed values:
projectIdstringformat: "uuid"
projectNamestring
projectUrlstring or nullformat: "uri"
updatedAtdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error